Opened 8 years ago

Closed 8 years ago

#5389 closed enhancement (fixed)

icedtea-web-1.5.1

Reported by: Fernando de Oliveira Owned by: Fernando de Oliveira
Priority: normal Milestone: 7.6
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

Change History (5)

comment:1 by Fernando de Oliveira, 8 years ago

Owner: changed from blfs-book@… to Fernando de Oliveira
Status: newassigned

comment:2 by Armin K, 8 years ago

Do you mind to check if this will build against npapi-sdk? Arch seems to be using that. If that works, then we could possibly retire Xulrunner, especially since it renders some setups broken nowadays.

comment:3 by Fernando de Oliveira, 8 years ago

Yes. It seems do not recognize xulrunner:

$ xzgrep xulrunner ~/Downloads/blfs/icedtea-web-1.5.1-2014.08.23* | cut -d: -f2
checking for xulrunner version... 20000000
checking for xulrunner version... (cached) 20000000
checking for legacy xulrunner api... no
checking for xulrunner enforcing C++11 standard... no

It doesn't matter if xulrunner is there or not. I have move all xulrunner*-30.0 directories to xulrunner*-30.0-save, and it builds, and works whether built before or after the removal of xulrunner.

Actually, there is something in configure:

if ${xulrunner_cv_collapsed_version+:} false; then :
      xulrunner_cv_collapsed_version=20000000

and this is the version assumed from this point on, e.g:

g++ -g -O2 \
  -DPACKAGE_NAME=\"icedtea-web\" \
  -DPACKAGE_TARNAME=\"icedtea-web\" \
  -DPACKAGE_VERSION=\"1.5.1\" \
  -DPACKAGE_STRING=\"icedtea-web\ 1.5.1\" \
  -DPACKAGE_BUGREPORT=\"distro-pkg-dev@openjdk.java.net\" \
  -DPACKAGE_URL=\"http://icedtea.classpath.org/wiki/IcedTea-Web\" \
  -DPACKAGE=\"icedtea-web\" -DVERSION=\"1.5.1\" -DHAVE_LIBZ=1 -DHAVE_JAVA7 \
  -DJDK_UPDATE_VERSION="\"50\"" \
  -DPLUGIN_NAME="\"IcedTea-Web Plugin\"" \
  -DPLUGIN_VERSION="\"IcedTea-Web 1.5.1\"" \
  -DPACKAGE_URL="\"http://icedtea.classpath.org/wiki/IcedTea-Web\"" \
   \
  -DMOZILLA_VERSION_COLLAPSED="20000000" \
   \
  -DICEDTEA_WEB_JRE="\"/opt/jdk/jre\"" \
  -DPLUGIN_BOOTCLASSPATH='"-Xbootclasspath/a:/opt/jdk/jre/share/icedtea-web/netx.jar:/opt/jdk/jre/share/icedtea-web/plugin.jar:"' \
  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  \
   \
  -DXP_UNIX -I/usr/include/npapi-sdk  \
   \
  	  -fvisibility=hidden \
  -fPIC -o /tmp/icedtea-web-1.5.1/plugin/icedteanp/IcedTeaNPPlugin.o -c \
  /tmp/icedtea-web-1.5.1/plugin/icedteanp/IcedTeaNPPlugin.cc

I edited in order to separate mentions to xullrunner (20000000) and npapi-sdk.

Thanks.

Will move npapi-sdk from the optional to replace xulrunner in required.

Now, removal of xulrunner from the book, is to be discussed by everybody.

Please, open a ticket about it in dev, if you don't mind.

Last edited 8 years ago by Fernando de Oliveira (previous) (diff)

comment:4 by Fernando de Oliveira, 8 years ago

Forg to say: I agree with you about xulrunner. Asked for the post in dev, just to include more people in the question. Perhaps there are some needs that we are not aware.

comment:5 by Fernando de Oliveira, 8 years ago

Resolution: fixed
Status: assignedclosed

Fixed at r14034.

Note: See TracTickets for help on using tickets.